jQuery(function ($) {
	function kodeala_msdd_UpdateNameAndValues() {
		var $mysitesCount = 0;
		var $mySiteContainer = $('.mysites-sortable > div');

		$mySiteContainer.each(function () {
			// Update the hidden input name attribute
			var $mySiteRowName = $(this)
				.find('input[name*="kodeala_msdd"]')
				.attr('name')
				.replace(/\d+(?=\D*$)/, $mysitesCount);
			$(this).find('input[name*="kodeala_msdd"]').attr('name', $mySiteRowName);

			// Update the visible number input value
			$(this).find('.mysites-input input[type="number"]').val($mysitesCount + 1);

			$mysitesCount++;
		});
	}

	function kodeala_msdd_ReorderRows() {
		var $rows = $('.mysites-sortable > div');

		// Sort rows based on the value of the number input
		var sortedRows = $rows
			.toArray()
			.sort(function (a, b) {
				var aVal = parseInt($(a).find('.mysites-input input[type="number"]').val(), 10);
				var bVal = parseInt($(b).find('.mysites-input input[type="number"]').val(), 10);
				return aVal - bVal;

			});
		var $container = $('.mysites-sortable');
		$container.empty();

		$(sortedRows).each(function () {
			$container.append(this);
		});
		kodeala_msdd_UpdateNameAndValues();
	}

	// Initialize sortable
	$('.mysites-sortable').sortable({
		items: '> div',
		handle: '.mysites-moverow',
		update: function () {
			kodeala_msdd_UpdateNameAndValues();
		},
	});

	// Listen for blur on the number inputs
	$(document).on('blur', '.mysites-input input[type="number"]', function () {
		var currentValue = parseInt($(this).val(), 10);
		var newValue = currentValue - 1;
		$(this).val(newValue);
		kodeala_msdd_ReorderRows();
	});
});
